/*
 * @Description:
 * @Author: zhuoda
 * @Date: 2021-11-05
 * @LastEditTime: 2024-06-27 15:03:07
 * @LastEditors: devloper WuJun
 */
import { postRequest, getRequest, getDownload } from '/@/lib/axios';

export const faceSettingApi = {
  // 获取员工数据
  getEmployee: (param) => {
    return getRequest('/employee/queryAll', param);
  },
  // 列表查询头部统计
  queryPageSts: (param) => {
    return postRequest('/nWorkFace/queryPageSts', param);
  },
  // 查出所有工作面
  getAll: (param) => {
    return postRequest('/nWorkFace/getAll', param);
  },
  // 工作面列表
  query: (param) => {
    return postRequest('/nWorkFace/query', param);
  },
  // 更新工作面状态
  updateStatus: (param) => {
    return postRequest('/nWorkFace/updateStatus', param);
  },
  // 新增工作面
  add: (param) => {
    return postRequest('/nWorkFace/add', param);
  },
  // 编辑工作面
  update: (param) => {
    return postRequest('/nWorkFace/update', param);
  },
  // 删除工作面
  del: (param) => {
    return postRequest(`/nWorkFace/delete/${param.id}`);
  },
  // 工作面详情
  getWorkFaceById: (param) => {
    return getRequest(`/nWorkFace/getWorkFaceById/${param.id}`);
  },
};
